Skip to main content

Retrieve Auto-tags

GET 

/api/v1/assets/:asset_id/addons/image_analysis

API to retrieve an image asset's auto-tag data.

Response JSON

{
"labelAnnotations": [
{
"score": 0.8699386,
"data": "alabel"
}
],
"bestGuessLabels": [
{
"label": "red elephant",
"languageCode": "en"
}
],
"textAnnotations": [
{
"locale": "en",
"data": "Detected text from the image"
}
]
}
ParameterDescription
labelAnnotationsList of labels with confidence score (0 = least confident, 1 = very confident)
bestGuessLabelsBest guess summary of the image
textAnnotationsOCR text detected in the image with locale. Annotations are keyword searchable. Words shorter than 3 characters are excluded and a maximum of 500 words are indexed. Empty array if no text detected

Request

Responses

Successful operation